# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['thx',
 'thx.fcm',
 'thx.fcm.api',
 'thx.fcm.api.version1',
 'thx.fcm.migrations',
 'thx.fcm.tests']

package_data = \
{'': ['*'], 'thx.fcm': ['locale/it/*', 'locale/it/LC_MESSAGES/*']}

install_requires = \
['Django>=2,<4',
 'django-application-settings>=0.2,<0.3',
 'djangorestframework>=3.11.0',
 'fcm-django>=1.0.6,<2.0.0',
 'jmb-filters>=1.1,<2.0',
 'thx-core>=0.1']

setup_kwargs = {
    'name': 'thx-fcm',
    'version': '0.0.2',
    'description': 'lib for FCM',
    'long_description': None,
    'author': 'THUX',
    'author_email': 'code@thux.it',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6,<4',
}


setup(**setup_kwargs)
