# -*- coding: utf-8 -*-

children = []
models = [
    {'model_name': 'device', 'model_label': 'device'},
]

for model in models:
    add_entry = {
        "title": f"add {model['model_label']}",
        "url_name": f"admin:fcm_{model['model_name']}_add",
        "perms": [f"fcm.add_{model['model_name']}"],
    }
    children.append(add_entry)
    list_entry = {
        "title": f"list {model['model_label']}",
        "url_name": f"admin:fcm_{model['model_name']}_changelist",
        "perms": [
            f"fcm.view_{model['model_name']}",
            f"fcm.change_{model['model_name']}"
        ],
    }
    children.append(list_entry)

menu_items = [{
    'title': 'fcm',
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'fcm'}},
    'perms': ['fcm.*'],
    'children': children
}]
