# -*- coding: utf-8 -*-
from django.apps import AppConfig
from django.conf import settings
from django.utils.translation import ugettext_lazy as _


class FcmConfig(AppConfig):
    name = 'thx.fcm'
    label = 'fcm'
    verbose_name = _('fcm')

    def ready(self):
        from firebase_admin import credentials, initialize_app
        try:
            cred = credentials.Certificate(settings.GOOGLE_APPLICATION_CREDENTIALS)
            initialize_app(cred)
        except:
            pass
